Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.swing.factory
[Groovy] Class BindFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.BindFactory

    class BindFactory
    extends AbstractFactory

Authors:
  Danno Ferrin

Version:
  \$Revision\$

Since:
  Groovy 1.1

Field Summary
`static java.lang.String` | `CONTEXT_DATA_KEY`

Property Summary
`java.util.Map` | `syntheticBindings`

Constructor Summary
`BindFactory()`

Method Summary
`java.lang.Object` | `bindingAttributeDelegate(FactoryBuilderSupport builder, java.lang.Object node, java.lang.Object attributes)`
`TriggerBinding` | `getTriggerBinding(PropertyBinding psb)`
`boolean` | `isHandlesNodeChildren()`
`boolean` | `isLeaf()`
`java.lang.Object` | `newInstance(FactoryBuilderSupport builder, java.lang.Object name, java.lang.Object value, java.util.Map attributes)` Accepted Properties...
`boolean` | `onHandleNodeAttributes(FactoryBuilderSupport builder, java.lang.Object node, java.util.Map attributes)`
`boolean` | `onNodeChildren(FactoryBuilderSupport builder, java.lang.Object node, Closure childContent)`
`void` | `onNodeCompleted(FactoryBuilderSupport builder, java.lang.Object parent, java.lang.Object node)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### CONTEXT_DATA_KEY

    public static final java.lang.String CONTEXT_DATA_KEY

Property Detail

### syntheticBindings

    final java.util.Map syntheticBindings

Constructor Detail

### BindFactory

    BindFactory()

Method Detail

### bindingAttributeDelegate

    java.lang.Object bindingAttributeDelegate(FactoryBuilderSupport builder, java.lang.Object node, java.lang.Object attributes)

### getTriggerBinding

    TriggerBinding getTriggerBinding(PropertyBinding psb)

### isHandlesNodeChildren

    boolean isHandlesNodeChildren()

### isLeaf

    boolean isLeaf()

### newInstance

    java.lang.Object newInstance(FactoryBuilderSupport builder, java.lang.Object name, java.lang.Object value, java.util.Map attributes)

  Accepted Properties... group? source ((sourceProperty) | (sourceEvent sourceValue)) (target targetProperty)? (? use default javabeans property if targetProperty is not present?)
  throws:
    InstantiationException
  throws:
    IllegalAccessException
  Parameters:
    builder
    name
    value
    attributes
  Returns:
    the newly created instance

### onHandleNodeAttributes

    boolean onHandleNodeAttributes(FactoryBuilderSupport builder, java.lang.Object node, java.util.Map attributes)

### onNodeChildren

    boolean onNodeChildren(FactoryBuilderSupport builder, java.lang.Object node, Closure childContent)

### onNodeCompleted

    void onNodeCompleted(FactoryBuilderSupport builder, java.lang.Object parent, java.lang.Object node)

Groovy Documentation